<?php

namespace app\admin\model;

use think\Model;


class Servicetype extends Model
{

    

    

    // 表名
    protected $name = 'servicetype';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'is_upkeep_text'
    ];
    

    protected static function init()
    {
        self::afterInsert(function ($row) {
            $pk = $row->getPk();
            $row->getQuery()->where($pk, $row[$pk])->update(['weigh' => $row[$pk]]);
        });
    }

    
    public function getIsUpkeepList()
    {
        return ['1' => __('Is_upkeep 1'), '0' => __('Is_upkeep 0')];
    }


    public function getIsUpkeepTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['is_upkeep']) ? $data['is_upkeep'] : '');
        $list = $this->getIsUpkeepList();
        return isset($list[$value]) ? $list[$value] : '';
    }




}
